自分でコンパイルしたRubyにはzlibがインストールされていない

自分でコンパイルしたRubyには、zlibがインストールされていない。
zlibは後からインストールする必要がある。

知らなかった。結構はまった。

DebianにRailsを入れる」のおかげで、何とかなりそう。
助かりました。

追記
リンク先が無くなっているのでメモ。

cd ext/zlib
ruby extconf.rb
make
make install

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください